<?php
include ("ad_header.php");
if (isset ($_POST['action'])) {
$action=$_POST['action'];
}
else {
die("Вы не указали действие!");
}
if ($action=="add") {
$newname=$_POST['newname'];
$newname=mysql_escape_string($newname);
$newname=str_replace ('"',"'",$newname);
if ($newname=="") {
echo "<center><b>Поле 'Название' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_categories.php'>";
exit;
}
$query="insert into categories(name) values ('$newname')";
mysql_query($query);
}

if ($action=="change") {
$id=$_POST['id'];
$change_name=$_POST['change_name'];
$change_name=mysql_escape_string($change_name);
$change_name=str_replace ('"',"'",$change_name);
if ($change_name=="") {
echo "<center><b>Поле 'Название' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_categories.php'>";
exit;
}
$query="update categories set name='$change_name' where (first='$id')";
mysql_query($query);
}

if ($action=="delete") {
$id=$_POST['id'];
$query="select first from subcategories where (parent='$id')";
$res=mysql_query($query);
while ($row=mysql_fetch_assoc($res)) {
$id_of_subcategory=$row["first"];
$query="select photo from goods where (parent='$id_of_subcategory')";
$resphoto=mysql_query($query);
while ($photorow=mysql_fetch_assoc($resphoto)) {
$photo_of_good=$photorow["photo"];
if (file_exists("../photos/$photo_of_good")) {
unlink("../photos/$photo_of_good");
}
}
$query="delete from goods where (parent='$id_of_subcategory')";
mysql_query($query);
}
$query="delete from categories where (first='$id')";
mysql_query($query);
$query="delete from subcategories where (parent='$id')";
mysql_query($query);
}

if ($action=="add subcategory") {
$newpodname=$_POST['newpodname'];
$newpodname=mysql_escape_string($newpodname);
$newpodname=str_replace ('"',"'",$newpodname);
$cat_of_new_sub=$_POST['cat_of_new_sub'];
if ($newpodname=="") {
echo "<center><b>Поле 'Название подкатегории' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_categories.php'>";
exit;
}
$query="insert into subcategories(name,parent) values ('$newpodname','$cat_of_new_sub')";
mysql_query($query);
}

if ($action=="change subcategory") {
$subcategory=$_POST['subcategory'];
$change_subcategory=$_POST['change_subcategory'];
$change_subcategory=mysql_escape_string($change_subcategory);
$change_subcategory=str_replace ('"',"'",$change_subcategory);
if ($change_subcategory=="") {
echo "<center><b>Поле 'Новое значение подкатегории' является обязательным для заполнения!</b></center>";
echo "<meta http-equiv='refresh' content='2 url=ad_categories.php'>";
exit;
}
$query="update subcategories set name='$change_subcategory' where (first='$subcategory')";
mysql_query($query);
}

if ($action=="delete subcategory") {
$subcategory=$_POST['subcategory'];
$query="select photo from goods where (parent='$subcategory')";
$resphoto=mysql_query($query);
while ($photorow=mysql_fetch_assoc($resphoto)) {
$photo_of_good=$photorow["photo"];
if (file_exists("../photos/$photo_of_good")) {
unlink("../photos/$photo_of_good");
}
}
$query="delete from goods where (parent='$subcategory')";
mysql_query($query);
$query="delete from subcategories where (first='$subcategory')";
mysql_query($query);
}
mysql_close ($link);
?>

<form action="ad_categories.php" name=redir method=post>
</form>
<script language="JavaScript">
redir.submit();
</script>